jQuery(document).ready(function(){

	var mediaUploader;

	jQuery('.woo-inpost-logo-upload-btn').on('click',function(e) {
		e.preventDefault();


		if( mediaUploader ){
			mediaUploader.open();
			return;
		}

		mediaUploader = wp.media.frames.file_frame =wp.media({
			title: 'Choose a shipping method logo',
			button: {
				text: 'Choose Image'
			},
			multiple:false
		});

		mediaUploader.on('select', function(){
			attachment = mediaUploader.state().get('selection').first().toJSON();
			jQuery('#woocommerce_easypack_logo_upload').val(attachment.url);
			jQuery('#woo-inpost-logo-preview').attr('src',attachment.url);
		});
		mediaUploader.open();
	});



	function easypack_dispatch_point() {
		if ( jQuery('#easypack_api_country').val() == 'pl' || jQuery('#easypack_api_country').val() == 'test-pl' ) {
			jQuery('#easypack_dispatch_point_name').closest('table').prev().css('display','block');
			jQuery('#easypack_dispatch_point_name').closest('table').css('display','table');
			jQuery('#easypack_crossborder_password').closest('tr').css('display','table-row');
		} 		
		else {
			jQuery('#easypack_dispatch_point_name').closest('table').prev().css('display','none');
			jQuery('#easypack_dispatch_point_name').closest('table').css('display','none');
			jQuery('#easypack_crossborder_api_url').closest('tr').css('display','none');
			jQuery('#easypack_crossborder_password').closest('tr').css('display','none');
			jQuery('#easypack_default_package_size').val('A');
			jQuery('#easypack_default_package_size').closest('tr').css('display','none');
		}
	}
	easypack_dispatch_point();
	
	jQuery('#easypack_api_country').change(function(){
		var url = 'https://api-'+jQuery('#easypack_api_country').val()+'.easypack24.net';
		url = url.replace("api-test","test-api");
		jQuery('#easypack_api_url').val(url);
		easypack_dispatch_point();
		easypack_api_change();
		if (jQuery('#easypack_api_country').val() == 'gb') {
			//alert('ddded');
            jQuery('#easypack_api_url').val('https://sandbox-api-shipx-pl.easypack24.net');
		}

	});
	
	jQuery('#easypack_returns_page_create').click(function() {
		var country = jQuery('#easypack_api_country').val();
		//alert( country );
		var data = 	{
						action: 'easypack',
						easypack_action: 'returns_page_create',
						country: country,
						security: easypack_nonce,
					};
		jQuery.post(ajaxurl, data, function(response) {
			if ( response != 0 ) {
				response = JSON.parse(response);
				jQuery('#easypack_returns_page').append('<option value="'+response.page_id+'">'+response.page_title+'</option>');
				jQuery('#easypack_returns_page').val(response.page_id);
				jQuery('#easypack_returns_page').trigger('change');
				jQuery('#easypack_returns_page_create_message').html(response.message);
			}
		});
	})

	jQuery(".easypack_parcel").click(function () {
		console.log(jQuery(this).data('allow_return_stickers'))
		let allowReturnStickers = jQuery(this).data('allow_return_stickers') === 1
		if (jQuery(this).is(":checked")) {
			if (false === allowReturnStickers) {
				jQuery("#get_return_stickers").prop("disabled", true)
			}
		} else {
			if (false === allowReturnStickers) {
				jQuery("#get_return_stickers").removeAttr("disabled");
			}
		}
	});

	jQuery('#woo_inpost_dpoint_add').click(function(e) {
		e.preventDefault();
		let cloned = jQuery('#woo_inpost_dpoint-cell .woo_inpost_dpoint-cell-wraper:last').clone();
		jQuery('#woo_inpost_dpoint-cell').append(cloned);

		jQuery('.woo_inpost_dpoint_selected').each(function(index, obj){
			jQuery(this).val(index);
		});

	})

	jQuery('.woo_inpost_dpoint-remove').click(function(e) {
		e.preventDefault();
		let parentHandle = jQuery(this).data('remove');
		jQuery('#' + parentHandle).remove();
	})

/*	
	jQuery(".easypack_cancel_dispatch_order").click(function() {
		alert(1);
	})
*/	
})